Get Group
curl --request GET \
--url https://api.16tms.com/api/v1/groups/{groupId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/groups/{groupId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Tournament group fetched successfully",
"data": {
"id": "ee6c62d0-0802-4327-9961-5ed446f5702f",
"tournamentRoundId": "44accbab-48f7-4fe0-8085-df45903863a8",
"tournamentId": "788f9b9d-1aec-4dec-b2fc-d585a6ef149f",
"tournamentRoundName": "Round 1 (Normal)",
"groupName": "Group 1",
"maxParticipants": 2,
"version": 1,
"versions": [
1
],
"participantCount": 1
},
"meta": {
"traceId": "00-b28a7ad18702b35a84e00477b68e2dc6-9e696eec1771c68e-00",
"elapsedMs": 9.41,
"serverTimestamp": "2026-02-17T12:26:14.0638194Z"
}
}API Reference
Get Group
Fetch details of a specific group by its ID.
GET
/
groups
/
{groupId}
Get Group
Authorizations
API key for authentication.
Path Parameters
The unique identifier of the group.
⌘I